aboutsummaryrefslogtreecommitdiffhomepage
path: root/bootstrap_test.sh
diff options
context:
space:
mode:
authorGravatar Damien Martin-Guillerez <dmarting@google.com>2015-03-12 11:00:44 +0000
committerGravatar Han-Wen Nienhuys <hanwen@google.com>2015-03-13 14:17:08 +0000
commite1349ec1f3151cf50005584dd3f2024ea49ecd67 (patch)
tree25dcd1a458dbe2f1549b3b9cf16fc70ce7e540f4 /bootstrap_test.sh
parenta6272912cab0d33e7094b4572b61686a7c1a8879 (diff)
Defaulted cpu to the host cpu
This should remove the needs for the --cpu=darwin flag under darwin. Bazel build are now using the host cpu too. This commit also fix the host cpu detection. The host cpu detection was too late and and some corner case was not really working with configurable attributes. It is now done as the default value for the --host_cpu flag. -- MOS_MIGRATED_REVID=88427551
Diffstat (limited to 'bootstrap_test.sh')
-rwxr-xr-xbootstrap_test.sh8
1 files changed, 3 insertions, 5 deletions
diff --git a/bootstrap_test.sh b/bootstrap_test.sh
index f97a249b42..304814f880 100755
--- a/bootstrap_test.sh
+++ b/bootstrap_test.sh
@@ -24,9 +24,7 @@ function parse_options() {
}
PLATFORM="$(uname -s | tr 'A-Z' 'a-z')"
-CPU_FLAG=""
if [[ ${PLATFORM} == "darwin" ]]; then
- CPU_FLAG="--cpu=darwin"
function md5_file() {
md5 $1 | sed 's|^MD5 (\(.*\)) =|\1|'
}
@@ -63,8 +61,8 @@ function bootstrap() {
local BAZEL_BIN=$1
local BAZEL_SUM=$2
[ -x "${BAZEL_BIN}" ] || fail "syntax: bootstrap bazel-binary"
- ${BAZEL_BIN} --blazerc=/dev/null clean ${CPU_FLAG} || return $?
- ${BAZEL_BIN} --blazerc=/dev/null build ${CPU_FLAG} --nostamp //src:bazel //src:tools || return $?
+ ${BAZEL_BIN} --blazerc=/dev/null clean || return $?
+ ${BAZEL_BIN} --blazerc=/dev/null build --nostamp //src:bazel //src:tools || return $?
if [ -n "${BAZEL_SUM}" ]; then
get_outputs_sum > ${BAZEL_SUM} || return $?
@@ -124,7 +122,7 @@ fi
if [ $DO_TESTS ]; then
start_test "test"
- $BOOTSTRAP --blazerc=/dev/null test ${CPU_FLAG} -k --test_output=errors //src/... || fail "Tests failed"
+ $BOOTSTRAP --blazerc=/dev/null test -k --test_output=errors //src/... || fail "Tests failed"
end_test "test"
fi